update-openoffice-dicts not present or executable. Missing dependency on dict ionaries-common?

Bug #901572 reported by Martin Pitt on 2011-12-08
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
dict-nr (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-ns (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-ss (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-tn (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-ts (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-ve (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-xh (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dict-zu (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
dictionaries-common (Ubuntu)
Medium
Martin Pitt
Precise
Medium
Martin Pitt
hunspell-en-us (Ubuntu)
High
Martin Pitt
Precise
High
Martin Pitt
imanx (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
magyarispell (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
myspell-ku (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
myspell-sk (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
myspell-sl (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
openoffice.org-thesaurus-it (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

A recent dictionaries-common update (https://launchpad.net/ubuntu/+source/dictionaries-common/1.12.0ubuntu1) removed the update-openoffice-dicts script. This now breaks CD builds and fresh installs with

Dec 8 08:08:34 in-target: Error: update-openoffice-dicts not present or executable. Missing dependency on dict
ionaries-common?
Dec 8 08:08:34 in-target: dpkg: error processing hunspell-en-us (--configure):
Dec 8 08:08:34 in-target: subprocess installed post-installation script returned error exit status 1

http://bugs.debian.org/619246 tracked the removal of this in Debian.

Martin Pitt (pitti) on 2011-12-08
description: updated
Changed in hunspell-en-us (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Martin Pitt (pitti)
milestone: none → precise-alpha-2
tags: added: iso-testing qa-daily-testing
Martin Pitt (pitti) on 2011-12-08
Changed in dictionaries-common (Ubuntu Precise):
importance: Undecided → Critical
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dictionaries-common - 1.12.0ubuntu2

---------------
dictionaries-common (1.12.0ubuntu2) precise; urgency=low

  * debian/dictionaries-common.links: Temporarily add back
    "update-openoffice-dicts" as symlink to /bin/true to unbreak the world
    until all our dictionary packages have been updated to not need the script
    any more. (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 09:32:58 +0100

Changed in dictionaries-common (Ubuntu Precise):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Reopening dictionaries-common task for removing the workaround and updating the Breaks: once all ditionaries have been fixed.

Changed in dictionaries-common (Ubuntu Precise):
importance: Critical → Medium
status: Fix Released → In Progress
milestone: none → precise-alpha-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hunspell-en-us - 20070829-4ubuntu3

---------------
hunspell-en-us (20070829-4ubuntu3) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 09:46:25 +0100

Changed in hunspell-en-us (Ubuntu Precise):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

The following dictionaries are also affected:

hunspell-da_3.3.0-2ubuntu3_all.deb
myspell-gv_0.50-9_all.deb
myspell-hu_1.2-0ubuntu2_all.deb
myspell-ku_0.20.0-2_all.deb
myspell-sk_0.5.5a-2.1fakesync1_all.deb

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package imanx - 0.50-9ubuntu1

---------------
imanx (0.50-9ubuntu1) precise; urgency=low

  * Drop myspell-gv.post{inst,rm} to really drop the call to
    update-openoffice-dicts, as intended in the previous changelog.
    (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 10:03:08 +0100

Changed in imanx (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package magyarispell - 1.2+repack-0ubuntu1

---------------
magyarispell (1.2+repack-0ubuntu1) precise; urgency=low

  * Drop debian/myspell-hu.post{inst,rm} to drop now obsolete
    update-openoffice-dicts call. (LP: #901572)
  * Repack broken orig.tar.gz to not have the debian/ dir.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 10:26:55 +0100

Changed in magyarispell (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package myspell-ku - 0.20.0-2build1

---------------
myspell-ku (0.20.0-2build1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 11:00:00 +0100

Changed in myspell-ku (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package myspell-sk - 0.5.5a-2.1fakesync2

---------------
myspell-sk (0.5.5a-2.1fakesync2) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 11:01:30 +0100

Changed in myspell-sk (Ubuntu Precise):
status: New → Fix Released
Martin Pitt (pitti) wrote :

hunspell-da's postinst has a guarded call, so not an issue there.

no longer affects: openoffice.org-dictionaries (Ubuntu Precise)
no longer affects: openoffice.org-dictionaries (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dictionaries-common - 1.12.0ubuntu3

---------------
dictionaries-common (1.12.0ubuntu3) precise; urgency=low

  * debian/control: Bump Breaks: to the Ubuntu versions that dropped the
    update-openoffice-dicts. (LP: #901572). This delta can be dropped after
    the 12.04 LTS release.
  * debian/dictionaries-common.links: Drop the update-openoffice-dicts link
    workaround again.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 11:16:27 +0100

Changed in dictionaries-common (Ubuntu Precise):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

hyphen-en-us is also affected; I fixed that with a sync now.

Martin Pitt (pitti) wrote :

I now did a more extensive package examination (all rdepends of dictionaries, common), this turned up more affected packages:

myspell-nr_20070206-4_all.deb
myspell-ns_20070206-4_all.deb
myspell-sl_1.0-3_all.deb
myspell-ss_20070206-4_all.deb
myspell-tn_20070206-4_all.deb
myspell-ts_20070207-4_all.deb
myspell-ve_20070206-3_all.deb
myspell-xh_20070206-4_all.deb
myspell-zu_20070207-5_all.deb
openoffice.org-thesaurus-it_2.0.7.gh.deb1-1.1ubuntu2_all.deb

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-nr - 20070206-4ubuntu1

---------------
dict-nr (20070206-4ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:41:24 +0100

Changed in dict-nr (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-ns - 20070206-4ubuntu1

---------------
dict-ns (20070206-4ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:45:19 +0100

Changed in dict-ns (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-tn - 20070206-4ubuntu1

---------------
dict-tn (20070206-4ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:48:16 +0100

Changed in dict-tn (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-ss - 20070206-4ubuntu1

---------------
dict-ss (20070206-4ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in
    Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:49:35 +0100

Changed in dict-ss (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-ve - 20070206-3ubuntu1

---------------
dict-ve (20070206-3ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in
    Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:53:36 +0100

Changed in dict-ve (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-xh - 20070206-4ubuntu1

---------------
dict-xh (20070206-4ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:54:32 +0100

Changed in dict-xh (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-zu - 20070207-5ubuntu1

---------------
dict-zu (20070207-5ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:55:56 +0100

Changed in dict-zu (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org-thesaurus-it - 2.0.7.gh.deb1-1.1ubuntu3

---------------
openoffice.org-thesaurus-it (2.0.7.gh.deb1-1.1ubuntu3) precise; urgency=low

  * Drop debian/postinst, debian/postrm: update-openoffice-dicts does not
    exist any more. (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 15:58:08 +0100

Changed in openoffice.org-thesaurus-it (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package myspell-sl - 1.0-3ubuntu1

---------------
myspell-sl (1.0-3ubuntu1) precise; urgency=low

  * Drop debian/postinst, debian/postrmi to drop call to
    update-openoffice-dicts. (LP: #901572)
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 16:07:28 +0100

Changed in myspell-sl (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dict-ts - 20070207-4ubuntu1

---------------
dict-ts (20070207-4ubuntu1) precise; urgency=low

  * No-change rebuild against current dictionaries-common to drop call to
    update-openoffice-dicts. (LP: #901572)
  * Switch to Ubuntu version number as this package has never been in Debian.
 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 16:11:40 +0100

Changed in dict-ts (Ubuntu Precise):
status: New → Fix Released
Martin Pitt (pitti) wrote :

For the remaining packages:

dictionaries-common (1.12.0ubuntu5) precise; urgency=low

  * debian/control: Add more Breaks: for the remaining affected packages. This
    delta can be dropped after the 12.04 LTS release.

 -- Martin Pitt <email address hidden> Thu, 08 Dec 2011 16:15:03 +0100

tags: added: qa-manual-testing
jsass (sass-joel) wrote :

For anyone stuck during the installation process, removing the Internet connection from your 12.04 environment during the installation process fixes the issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers